<?php
/**
 * Single Product Thumbnails
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/product-thumbnails.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     9.5.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
if(bookio_image_single_product()->product_layout_thumb == "scroll") 
	wc_get_template( 'single-product/thumbnails-image/scroll.php' );
elseif(bookio_image_single_product()->product_layout_thumb == "special")
	wc_get_template( 'single-product/thumbnails-image/special.php' );
else
	wc_get_template( 'single-product/thumbnails-image/zoom.php' );